using System;

namespace Syntriax.Engine.Core.Abstract;

public interface ITransform
{
    Action<ITransform>? OnPositionChanged { get; set; }
    Action<ITransform>? OnScaleChanged { get; set; }
    Action<ITransform>? OnRotationChanged { get; set; }

    Vector2D Position { get; set; }
    Vector2D Scale { get; set; }

    float Rotation { get; set; }
}
