using System;

namespace Syntriax.Engine.Core;

public static class Time
{
    private static EngineTime _engineTime = new(TimeSpan.Zero, TimeSpan.Zero);

    public static TimeSpan Total => _engineTime.Total;
    public static TimeSpan Elapsed => _engineTime.Elapsed;

    public static void SetTime(EngineTime engineTime) => _engineTime = engineTime;
}
